Autor Tópico: [Resolvido] Erro ao tentar instalar pacotes (atualizações)  (Lida 1007 vezes)

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.086
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #15 Online: 21 de Agosto de 2017, 19:30 »
Instalei usando os três primeiros comandos. Sem erros.
Executei o update e upgrade sem erros também.
Resolvido?
Fiz o procedimento e mudei do servidor principal para servidor brasil e deu erro ao recarregar listas (uma penca).
Mudei para o principal de novo e ao recarregar foi de boa.

Mas então, @Edmor_t,

O servidor brasil estava apresentando alguma inconstância, aqui ainda ontem obtive o mesmo erro, precisei mudar para o principal para poder atualizar, lá pelas tantas o mirror local volta ao normal, enfim, se a dificuldade é apenas essa isso, em si, não é problema da sua específica instalação.

O que importa saber no momento depois dessa longa jornada:

Se colocar no servidor principal e:

Código: [Selecionar]
sudo apt-get update&&sudo apt-get upgrade
Termina tudo normal, sem erros?

Ou seja, aquele erro que havia desapareceu?

« Última modificação: 21 de Agosto de 2017, 19:34 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Edmor_t

  • Usuário Ubuntu
  • *
  • Mensagens: 11
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #16 Online: 22 de Agosto de 2017, 10:26 »
Vamos ver, entrei com os comandos (servidor principal):

sudo apt-get update&&sudo apt-get upgrade

Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://dl.google.com/linux/chrome/deb stable Release               
Atingido:3 http://ppa.launchpad.net/george-edison55/webp/ubuntu xenial InRelease
Atingido:4 http://archive.ubuntu.com/ubuntu xenial InRelease                   
Atingido:5 http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu xenial InRelease
Atingido:6 http://archive.ubuntu.com/ubuntu xenial-updates InRelease           
Atingido:7 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial InRelease
Atingido:9 http://archive.ubuntu.com/ubuntu xenial-backports InRelease         
Atingido:10 http://archive.ubuntu.com/ubuntu xenial-security InRelease
Lendo listas de pacotes... Pronto                       
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão mantidos em suas versões atuais:
  libegl1-mesa libgbm1 libgl1-mesa-dri libwayland-egl1-mesa libxatracker2
  mesa-vdpau-drivers
Os pacotes a seguir serão atualizados:
  libgl1-mesa-glx libglapi-mesa libgles2-mesa
3 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 6 não atualizados.
É preciso baixar 283 kB de arquivos.
Depois desta operação, 0 B adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] s
Obter:1 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main amd64 libgles2-mesa amd64 17.3~git1708221326.da2828~gd~x [54,4 kB]
Obter:2 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main amd64 libgl1-mesa-glx amd64 17.3~git1708221326.da2828~gd~x [165 kB]
Obter:3 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial/main amd64 libglapi-mesa amd64 17.3~git1708221326.da2828~gd~x [63,1 kB]
Baixados 283 kB em 2s (95,8 kB/s)   
dpkg: aviso: falta ficheiro de lista de ficheiros 'ubuntu-release-upgrader-gtk'; assumindo que o pacote não tem actualmente ficheiros instalados
(Lendo banco de dados ... 226432 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libgles2-mesa_17.3~git1708221326.da2828~gd~x_amd64.deb ...
A descompactar libgles2-mesa:amd64 (17.3~git1708221326.da2828~gd~x) sobre (17.3~git1708211930.4734bf~gd~x) ...
A preparar para desempacotar .../libgl1-mesa-glx_17.3~git1708221326.da2828~gd~x_amd64.deb ...
A descompactar libgl1-mesa-glx:amd64 (17.3~git1708221326.da2828~gd~x) sobre (17.3~git1708211930.4734bf~gd~x) ...
A preparar para desempacotar .../libglapi-mesa_17.3~git1708221326.da2828~gd~x_amd64.deb ...
A descompactar libglapi-mesa:amd64 (17.3~git1708221326.da2828~gd~x) sobre (17.3~git1708211930.4734bf~gd~x) ...
A processar 'triggers' para libc-bin (2.23-0ubuntu9) ...
Configurando libglapi-mesa:amd64 (17.3~git1708221326.da2828~gd~x) ...
Configurando libgles2-mesa:amd64 (17.3~git1708221326.da2828~gd~x) ...
Configurando libgl1-mesa-glx:amd64 (17.3~git1708221326.da2828~gd~x) ...
A processar 'triggers' para libc-bin (2.23-0ubuntu9) ...

Termina assim, sem erros. Mas ainda tem esse aviso no meio do processo:
aviso: falta ficheiro de lista de ficheiros 'ubuntu-release-upgrader-gtk'; assumindo que o pacote não tem actualmente ficheiros instalados

Mas estou com a seguinte versão:

$ uname -a
Linux  4.4.0-92-generic #115-Ubuntu SMP Thu Aug 10 09:04:33 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -a
No LSB modules are available.
Distributor ID:   Ubuntu
Description:   Ubuntu 16.04.3 LTS
Release:   16.04
Codename:   xenial

Pelo jeito está atualizado e funcionando sem erros. Daqui pra frente vou ficar de olho no sistema e qualquer inconsistência eu aviso.

Também li neste tópico que o kernel seria o 4.10.xx:

http://www.edivaldobrito.com.br/ubuntu-16-04-3-lts-lancado/

Vale a pena tentar atualizar para o HWE usando os comandos:

sudo apt install --install-recommends linux-generic-hwe-16.04 xserver-xorg-hwe-16.04

Muito obrigado a vocês pelo tempo e atenção.
« Última modificação: 22 de Agosto de 2017, 10:46 por Edmor_t »

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.086
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #17 Online: 22 de Agosto de 2017, 12:46 »
dpkg: aviso: falta ficheiro de lista de ficheiros 'ubuntu-release-upgrader-gtk'; assumindo que o pacote não tem actualmente ficheiros instalados

O problema principal e persistente desapareceu, resolveu, entretanto, antes de maida nada, antes de partir para o hwe kernel (=kernel rolling), corrija esse aviso fazendo a parte final, os três últimos comandos, que está mencionada no post #13.

Na verdade melhor fazer o primeiro daqueles 3 comandos e vê se resolve:

Código: [Selecionar]
sudo dpkg -i --force-overwrite --force-configure-any ubuntu-release-upgrader-gtk_16.04.22_all.deb
Evidentemente que para fazer o comando acima precisa estar dentro do diretório onde baixou o respectivo arquivo .deb mencionado, sem o que obviamente irá falhar.

Depois repita o comando de atualização e verifique se o warning desapareceu

Código: [Selecionar]
sudo apt-get update&&sudo apt-get upgrade
Se ainda não desapareceu então faça os dois restantes.
« Última modificação: 22 de Agosto de 2017, 12:50 por druidaobelix »
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Edmor_t

  • Usuário Ubuntu
  • *
  • Mensagens: 11
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #18 Online: 22 de Agosto de 2017, 13:42 »
Feito:

$ sudo dpkg -i --force-overwrite --force-configure-any ubuntu-release-upgrader-gtk_16.04.22_all.deb
dpkg: aviso: falta ficheiro de lista de ficheiros 'ubuntu-release-upgrader-gtk'; assumindo que o pacote não tem actualmente ficheiros instalados
(Lendo banco de dados ... 226432 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar ubuntu-release-upgrader-gtk_16.04.22_all.deb ...
A descompactar ubuntu-release-upgrader-gtk (1:16.04.22) sobre (1:16.04.22) ...
Configurando ubuntu-release-upgrader-gtk (1:16.04.22) ...

$ sudo apt-get update&&sudo apt-get upgrade
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Atingido:2 http://dl.google.com/linux/chrome/deb stable Release               
Atingido:3 http://ppa.launchpad.net/george-edison55/webp/ubuntu xenial InRelease
Atingido:4 http://archive.ubuntu.com/ubuntu xenial InRelease                   
Atingido:5 http://ppa.launchpad.net/i-nex-development-team/stable/ubuntu xenial InRelease
Obter:6 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Atingido:8 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial InRelease
Obter:9 http://archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]   
Obter:10 http://archive.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Obter:11 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [623 kB]
Obter:12 http://archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [600 kB]
Obter:13 http://archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [257 kB]
Obter:14 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [305 kB]
Obter:15 http://archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [207 kB]
Obter:16 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [520 kB]
Obter:17 http://archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [501 kB]
Obter:18 http://archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [206 kB]
Obter:19 http://archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [171 kB]
Obter:20 http://archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [221 kB]
Obter:21 http://archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [5.888 B]
Obter:22 http://archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Obter:23 http://archive.ubuntu.com/ubuntu xenial-backports/universe amd64 DEP-11 Metadata [5.132 B]
Obter:24 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 Packages [348 kB]
Obter:25 http://archive.ubuntu.com/ubuntu xenial-security/main i386 Packages [326 kB]
Obter:26 http://archive.ubuntu.com/ubuntu xenial-security/main Translation-en [152 kB]
Obter:27 http://archive.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [60,0 kB]
Obter:28 http://archive.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [52,1 kB]
Obter:29 http://archive.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [159 kB]
Obter:30 http://archive.ubuntu.com/ubuntu xenial-security/universe i386 Packages [141 kB]
Obter:31 http://archive.ubuntu.com/ubuntu xenial-security/universe Translation-en [84,0 kB]
Obter:32 http://archive.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [48,8 kB]
Obter:33 http://archive.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [57,9 kB]
Baixados 5.362 kB em 9s (571 kB/s)                                             
Lendo listas de pacotes... Pronto
Lendo listas de pacotes... Pronto
Construindo árvore de dependências       
Lendo informação de estado... Pronto
Calculando atualização... Pronto
Os pacotes a seguir serão mantidos em suas versões atuais:
  libegl1-mesa libgbm1 libgl1-mesa-dri libwayland-egl1-mesa libxatracker2
  mesa-vdpau-drivers
0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 6 não atualizados.

Pronto!
Sem erros, certo?

Offline druidaobelix

  • Usuário Ubuntu
  • *
  • Mensagens: 5.086
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #19 Online: 22 de Agosto de 2017, 14:02 »
Pronto!
Sem erros, certo?

OK, certo, funcionou, problema resolvido.  :)
www.arredondar.org.br
Vencedor Desafio de Impacto Social Google 2016!
Você também pode participar e fazer a diferença.

Offline Edmor_t

  • Usuário Ubuntu
  • *
  • Mensagens: 11
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #20 Online: 23 de Agosto de 2017, 00:38 »
Valeu!

Muito obrigado!

Offline galactus

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 4.438
    • Ver perfil
Re:Erro ao tentar instalar pacotes (atualizações)
« Resposta #21 Online: 23 de Agosto de 2017, 10:02 »
Favor colocar um resolvido no tópico!
* Linux Mint 18 Mate 64bits / Windows 10 64bits Casa! * CentOS 7 64bits Servidor de arquivos em modo texto - Casa * MacOS Sierra  - Mac Mini servidor multimidia - Casa * DELL Inspiron 14R + Ubuntu Mate 17.04 64bits.